#pragma once
#include "dojo/dojo.h"

using namespace dojo;
class Demo;

class Ball : public Entity {
private:

    Ball(const std::string& name, Demo* d) : Entity(name, "Root", true), demo(d) {}

public:

    static EntityRef create(const std::string& name, Demo* demo);

	//this is first defined in Dojo::Entity
	bool onCollision(const std::string&  myPart, 
						const EntityRef&    other, 
						const std::string&  otherPart,
						const Vector3&      wsLocation);

	void move(int direction);

private:
	Demo* demo;
};